Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/25/2023 in all areas

  1. id remove the pauses StevenP (defun C:BN () (command "_.Mirror") ) or duolicate the comand in the cui with BN as the shortcut
    2 points
  2. (defun c:bn ( / ) (command "mirror" pause pause pause pause) ) ?
    2 points
  3. Look into the LAYTRANS command too. If you want to stick with the lisp it could be refactored like so to check if the source layer exists. (foreach layer '(("SL-PL" "XX-LOTS-LN") ("SL-BNDRY" "XX-SUB-BDY")) (if (tblsearch "LAYER" (car layer)) (command "_.RENAME" "_LAYER" (car layer) (cadr layer)) ) )
    1 point
  4. Layer rename supports wildcards so may be able to do a "sl-*" "xx-*" You can check if a "sl-*" layer exists using (setq ss "X" '((8 . "sl-*"))) if ss is not nil proceed. You can check if layer exists by (tblsearch "LAYER" "sl-pl") I would set up a file with all the layer names as a CSV file then read it you can make it in excel and save as csv. This way can do 100's "sl-pl,xx-lots-ln" So I have not posted anything as are you happy with file idea ? Did the same task but we just added EX- to certain layers to identify existing features. Ex-lip v's Lip
    1 point
  5. The option from Lee Mac here is a good start Make a list of the layers and loop through this
    1 point
  6. The file is available. I just downloaded it.
    1 point
  7. You can simply use (mirror3d) function as a part of (geom3d.arx) extension for lisp... This picture is from documentation...
    1 point
  8. Our default shortcut for the mirror command is "MI". It's set in the Express Tool ALIASEDIT or 'Command Aliases' in the Ribbon. Sort by AutoCAD Command and scroll down to MIRROR to see what your default shortcut is.
    1 point
  9. To do many drawings all at once you might also consider a script process, like Script Pro or Lee Macs script maker, get the lisp working as you want and then do the script on all the drawings
    1 point
  10. If you want all the dimension styles you might need to add this function somewhere: (defun tablesearch ( s / d r) ;;List Dimstyles (while (setq d (tblnext s (null d))) (setq r (cons (cdr (assoc 2 d)) r)) ) ) and to loop through the list something like this: (foreach x (tableSearch "dimstyle") --- do stuff (princ "\n") (princ x) ; for example ) ; end foreach That isn't what I was going to say though, I have found that adjusting the text sizes a lot can make the spacing and arrows out or proportion, the LISP I use does this with dimstyles rather than MHUPPs entmod method - you might want to search for that as well. For example a text size of 250 dwarfs an arrow size of 2.5 MHUPP is pretty good with this stuff and might modify his for example to put arrow size to the same as text size to show how to build up his code to add more stuff (I don't know the code for 'arrow size' )
    1 point
  11. Post a proper dwg and the excel. like Steven P getexcel.lsp will get you started. getexecel.lsp
    1 point
  12. Your only wanting to change the current Dimstyle? ;;----------------------------------------------------------------------------;; ;; Dimstyles Text Height Change (defun C:DimHeight (/ dim h name) (setq dim (vla-get-activedimstyle (vla-get-activedocument (vlax-get-acad-object)))) (setq style (entget (vlax-vla-object->ename dim))) (if (setq h (cons 140 (getreal (strcat "\nDimension Text Size: ")))) (progn (entmod (subst h (assoc 140 style) style)) (setvar 'dimtxt (cdr h)) ) ) (princ) )
    1 point
  13. Cleaned up the code a little. (defun C:KEEP (/ lst x) (setvar 'cmdecho 0) (foreach seal '("jas" "mac" "pkp") (if (not (tblsearch "block" (setq x (strcat "seal-" seal)))) (command "-Xref" "_U" x) ) ) (command "-Xref" "_U" "seal-bew,seal-sal,seal-sy,seal-sr,seal-ukg,seal-smt,seal-aep,seal-pjn,seal-wc,seal-srg") (setvar 'cmdecho 1) (princ) ) (C:KEEP)
    1 point
  14. I tend to turn the ribbon off for this reason - use old style menus - else I find the screen is filled with icons and you can't see your work
    1 point
  15. had a little more 'fun' with this (darn anymous blocks & true colors) and this one might come a little closer but still think best results are achieved by wblock your block first and then pimp the crab out every block. Had only one test run with this one and gonna seek psychiatric help now with doc 'Merlot' and then hit the sack... BlockByBlock-2.lsp
    1 point
  16. OK, I'll post it here... HTH, M.R. Regards, enjoy... stairs3D.zip
    1 point
×
×
  • Create New...